Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.field.address.parser
Class AddressListParser

    java.lang.Object
      org.apache.james.mime4j.field.address.parser.AddressListParser

All Implemented Interfaces:
  AddressListParserConstants, AddressListParserTreeConstants

    public class AddressListParser

extends java.lang.Object
implements AddressListParserTreeConstants, AddressListParserConstants

Field Summary
`Token` | `jj_nt`
`protected org.apache.james.mime4j.field.address.parser.JJTAddressListParserState` | `jjtree`
`boolean` | `lookingAhead`
`Token` | `token`
`AddressListParserTokenManager` | `token_source`

Fields inherited from interface org.apache.james.mime4j.field.address.parser.AddressListParserTreeConstants
`JJTADDR_SPEC, JJTADDRESS, JJTADDRESS_LIST, JJTANGLE_ADDR, JJTDOMAIN, JJTGROUP_BODY, JJTLOCAL_PART, JJTMAILBOX, JJTNAME_ADDR, jjtNodeName, JJTPHRASE, JJTROUTE, JJTVOID`

Fields inherited from interface org.apache.james.mime4j.field.address.parser.AddressListParserConstants
`ALPHA, ANY, ATEXT, COMMENT, DEFAULT, DIGIT, DOMAINLITERAL, DOTATOM, EOF, INCOMMENT, INDOMAINLITERAL, INQUOTEDSTRING, NESTED_COMMENT, QUOTEDPAIR, QUOTEDSTRING, tokenImage, WS`

Constructor Summary
`AddressListParser(AddressListParserTokenManager tm)`
`AddressListParser(java.io.InputStream stream)`
`AddressListParser(java.io.InputStream stream, java.lang.String encoding)`
`AddressListParser(java.io.Reader stream)`

Method Summary
`void` | `addr_spec()`
`void` | `address_list()`
`void` | `address()`
`void` | `angle_addr()`
`void` | `disable_tracing()`
`void` | `domain()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `group_body()`
`void` | `local_part()`
`void` | `mailbox()`
`static void` | `main(java.lang.String[] args)`
`void` | `name_addr()`
`ASTaddress_list` | `parse()`
`void` | `parseAll()`
`void` | `parseLine()`
`void` | `phrase()`
`void` | `ReInit(AddressListParserTokenManager tm)`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `route()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjtree

    protected org.apache.james.mime4j.field.address.parser.JJTAddressListParserState jjtree

### token_source

    public AddressListParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### AddressListParser

    public AddressListParser(java.io.InputStream stream)

### AddressListParser

    public AddressListParser(java.io.InputStream stream,
                             java.lang.String encoding)

### AddressListParser

    public AddressListParser(java.io.Reader stream)

### AddressListParser

    public AddressListParser(AddressListParserTokenManager tm)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws ParseException

  Throws:
    `ParseException`

### parse

    public ASTaddress_list parse()
                          throws ParseException

  Throws:
    `ParseException`

### parseLine

    public final void parseLine()
                         throws ParseException

  Throws:
    `ParseException`

### parseAll

    public final void parseAll()
                        throws ParseException

  Throws:
    `ParseException`

### address_list

    public final void address_list()
                            throws ParseException

  Throws:
    `ParseException`

### address

    public final void address()
                       throws ParseException

  Throws:
    `ParseException`

### mailbox

    public final void mailbox()
                       throws ParseException

  Throws:
    `ParseException`

### name_addr

    public final void name_addr()
                         throws ParseException

  Throws:
    `ParseException`

### group_body

    public final void group_body()
                          throws ParseException

  Throws:
    `ParseException`

### angle_addr

    public final void angle_addr()
                          throws ParseException

  Throws:
    `ParseException`

### route

    public final void route()
                     throws ParseException

  Throws:
    `ParseException`

### phrase

    public final void phrase()
                      throws ParseException

  Throws:
    `ParseException`

### addr_spec

    public final void addr_spec()
                         throws ParseException

  Throws:
    `ParseException`

### local_part

    public final void local_part()
                          throws ParseException

  Throws:
    `ParseException`

### domain

    public final void domain()
                      throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.InputStream stream,
                       java.lang.String encoding)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(AddressListParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.